{% extends 'base.html' %}

{% block head %}
{% endblock %}

{% block content %}
    {% with active_nav='user' %}
        {% include "widgets/navtabs.html" %}
    {% endwith %}
    <br>
    <div class="pure-g">
        <div class="pure-u-1 pure-u-md-2-24"></div>
        <div class="pure-u-1 pure-u-md-20-24">
            <div class="pure-g h-box">
                <div class="pure-u-12-24">
                    <div class="pure-u-1 pure-md-1-2">
                    </div>
                    <div class="pure-u-1 pure-md-1-2">
                        <i class='ion-ios-contact'  style="font-size: 24px"></i>
                        <b>&nbsp;{{ usercount | commafy }}</b>
                    </div>
                </div>
                <div class="pure-u-6-24" style="text-align:center;">
                    <div class="pure-u-1 pure-md-1-1">
                    </div>
                </div>
                <div class="pure-u-6-24" style="text-align:right;">
                    <div class="pure-u-1 pure-md-1-2">
                        <a href="{{ url_for('user.index') }}" class="pure-menu-item {{'selected' if order == 'newest' }}">
                            {{ gettext('newest') }}</a>
                    </div>
                    <div class="pure-u-1 pure-md-1-2">
                        <a href="{{ url_for('user.popular') }}"class="pure-menu-item {{'selected' if order == 'popular' }}">
                            {{ gettext('popular') }}</a>
                    </div>
                </div>
            </div>
            <div class="h-box">
                <hr>
            </div>
        </div>
    </div>
    <div class="pure-g">
        <div class="pure-u-1 pure-u-md-2-24"></div>
        <div class="pure-u-1 pure-u-md-20-24">
            <div class="pure-g">
                {% for user in users %}
                    <div class="pure-u-1 pure-u-md-1-4">
                        <div class="h-box">
                            <a href="{{ url_for('user.item', username=user.username) }}">
                                {% if user.featured_playlist and user.featured_playlist.pl_title %}
                                    <div class="thumbnail">
                                        <img class="thumbnail" src="{{ config.IPROXYBIG ~ config.IARCHIVEURL ~ user.featured_playlist.extractor_data ~ '/' ~ user.featured_playlist.title | ia_fname ~ '-' ~ user.featured_playlist.extractor_data ~ '.jpg' }}"onerror="this.onerror=null;this.src='{{ config.IPROXYBIG ~ config.IARCHIVEURL ~ user.featured_playlist.extractor_data ~ '/__ia_thumb.jpg' }}';" >
                                    </div>
                                {% endif %}
                                <i class='ion-ios-contact' style="font-size: 24px"></i>
                                <b>{{ user.username }}</b></a>
                            <p></p>
                            {{ user.description | linkify | safe }}
                            <p></p>
                            <div class="pure-u-1 pure-md-1-1">
                                <i class='ion-md-list'  style="font-size: 24px"></i>
                                <b>&nbsp;{{ user.playlist | length }}</b>
                                <b>&nbsp;|&nbsp;</b>
                                <i class='ion-md-eye'  style="font-size: 20px"></i>
                                <b>&nbsp;{{ user.view_counter }}</b>
                            </div>
                            </p>
                        </div>
                    </div>
                {% endfor %}
            </div>
        </div>
    </div>

{% if pagination %}
  {% with pagination=pagination %}
      {% include "widgets/pagination.html" %}
  {% endwith %}
{% endif %}

{% endblock %}
